Update netplan dependency package

Bug #1813667 reported by Joshua Powers on 2019-01-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-init (Ubuntu)
High
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

Currently cloud-init has a dependency on nplan [1], which is the transitional package for netplan.io [2]. It should really depend on netplan.io instead.

[1] https://packages.ubuntu.com/disco/cloud-init
[2] https://packages.ubuntu.com/disco/nplan

Related branches

tags: added: disco packaging
Changed in cloud-init (Ubuntu):
status: New → Confirmed
Jeremy Bicha (jbicha) on 2019-02-16
Changed in cloud-init (Ubuntu):
importance: Undecided → High
tags: added: rls-dd-incoming
no longer affects: cloud-init
Dan Watkins (daniel-thewatkins) wrote :

(Project task dropped because this is only an issue in the Ubuntu packaging.)

Hello Joshua, or anyone else affected,

Accepted cloud-init into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/18.5-45-g3554ffe8-0ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in cloud-init (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Łukasz Zemczak (sil2100) wrote :

Hello Joshua, or anyone else affected,

Accepted cloud-init into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/18.5-45-g3554ffe8-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in cloud-init (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Joshua Powers (powersj) wrote :

In a bionic and cosmic container, added proposed and successfully installed the latest cloud-init:

18.5-45-g3554ffe8-0ubuntu1~18.04.1 on bionic
18.5-45-g3554ffe8-0ubuntu1~18.10.1 on cosmic

Confirmed neither package was no longer requiring nplan via apt-cache data.

In Bionic:

root@b:~# apt-cache show cloud-init
Package: cloud-init
Architecture: all
Version: 18.5-45-g3554ffe8-0ubuntu1~18.04.1
Priority: extra
Section: admin
Origin: Ubuntu
Maintainer: Ubuntu Developers <email address hidden>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 1906
Depends: cloud-guest-utils | cloud-utils, isc-dhcp-client, iproute2, netplan.io | ifupdown, procps, python3, python3-requests, python3-serial, debconf (>= 0.5) | debconf-2.0, python3-configobj, python3-jinja2, python3-jsonpatch, python3-jsonschema, python3-oauthlib, python3-six, python3-yaml, python3:any (>= 3.3.2-2~)
Recommends: eatmydata, gdisk, software-properties-common

In Cosmic:
root@c:~# apt-cache show cloud-init
Package: cloud-init
Architecture: all
Version: 18.5-45-g3554ffe8-0ubuntu1~18.10.1
Priority: extra
Section: admin
Origin: Ubuntu
Maintainer: Ubuntu Developers <email address hidden>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 1907
Depends: cloud-guest-utils | cloud-utils, isc-dhcp-client, iproute2, netplan.io | ifupdown, procps, python3, python3-requests, python3-serial, debconf (>= 0.5) | debconf-2.0, python3-configobj, python3-jinja2, python3-jsonpatch, python3-jsonschema, python3-oauthlib, python3-six, python3-yaml, python3:any
Recommends: eatmydata, gdisk, software-properties-common

Previous versions of cloud-init showed a depends on "nplan | ifupdown".

I also went and purged nplan before an install of the proposed version of cloud-init and verified that it did not install nplan afterwards.

Marking verification-done-bionic and verification-done-cosmic.

tags: added: verification-done-bionic verification-done-cosmic
removed: verification-needed verification-needed-bionic verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 18.5-45-g3554ffe8-0ubuntu1

---------------
cloud-init (18.5-45-g3554ffe8-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - cloud-init-per: POSIX sh does not support string subst, use sed
      (LP: #1819222)

 -- Daniel Watkins <email address hidden> Fri, 08 Mar 2019 17:42:34 -0500

Changed in cloud-init (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 18.5-45-g3554ffe8-0ubuntu1~18.10.1

---------------
cloud-init (18.5-45-g3554ffe8-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream snapshot. (LP: #1819067)
    - cloud-init-per: POSIX sh does not support string subst, use sed
    - Support locking user with usermod if passwd is not available.
      [Scott Moser]
    - Example for Microsoft Azure data disk added. [Anton Olifir]
    - clean: correctly determine the path for excluding seed directory
    - helpers/openstack: Treat unknown link types as physical
    - drop Python 2.6 support and our NIH version detection
    - tip-pylint: Fix assignment-from-return-none errors
    - net: append type:dhcp[46] only if dhcp[46] is True in v2 netconfig
      [Kurt Stieger]
    - cc_apt_pipelining: stop disabling pipelining by default
    - tests: fix some slow tests and some leaking state
    - util: don't determine string_types ourselves
    - cc_rsyslog: Escape possible nested set
    - Enable encrypted_data_bag_secret support for Chef [Eric Williams]
    - azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
    - doc: update merging doc with fixes and some additional details/examples
    - tests: integration test failure summary to use traceback if empty error
    - This is to fix https://bugs.launchpad.net/cloud-init/+bug/1812676
      [Vitaly Kuznetsov]
    - EC2: Rewrite network config on AWS Classic instances every boot
      [Guilherme G. Piccoli]
    - netinfo: Adjust ifconfig output parsing for FreeBSD ipv6 entries
    - netplan: Don't render yaml aliases when dumping netplan
    - add PyCharm IDE .idea/ path to .gitignore [Dominic Schlegel]
    - correct grammar issue in instance metadata documentation
      [Dominic Schlegel]
    - clean: cloud-init clean should not trace when run from within cloud_dir
    - Resolve flake8 comparison and pycodestyle over-ident issues
      [Paride Legovini]
  * Update netplan dependency package (LP: #1813667)
  * Fix build-depends-on-obsolete-package for dh-systemd
  * Change Priority from extra to optional
  * Override lintian warnings about WantedBy=cloud-init.target
  * Change Maintainer to Ubuntu Developers
  * d/postinst: remove now-incorrect apt pipelining configuration

 -- Daniel Watkins <email address hidden> Mon, 11 Mar 2019 17:04:15 -0400

Changed in cloud-init (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cloud-init has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 18.5-45-g3554ffe8-0ubuntu1~18.04.1

---------------
cloud-init (18.5-45-g3554ffe8-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1819067)
    - cloud-init-per: POSIX sh does not support string subst, use sed
    - Support locking user with usermod if passwd is not available.
      [Scott Moser]
    - Example for Microsoft Azure data disk added. [Anton Olifir]
    - clean: correctly determine the path for excluding seed directory
    - helpers/openstack: Treat unknown link types as physical
    - drop Python 2.6 support and our NIH version detection
    - tip-pylint: Fix assignment-from-return-none errors
    - net: append type:dhcp[46] only if dhcp[46] is True in v2 netconfig
      [Kurt Stieger]
    - cc_apt_pipelining: stop disabling pipelining by default
    - tests: fix some slow tests and some leaking state
    - util: don't determine string_types ourselves
    - cc_rsyslog: Escape possible nested set
    - Enable encrypted_data_bag_secret support for Chef [Eric Williams]
    - azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
    - doc: update merging doc with fixes and some additional details/examples
    - tests: integration test failure summary to use traceback if empty error
    - This is to fix https://bugs.launchpad.net/cloud-init/+bug/1812676
      [Vitaly Kuznetsov]
    - EC2: Rewrite network config on AWS Classic instances every boot
      [Guilherme G. Piccoli]
    - netinfo: Adjust ifconfig output parsing for FreeBSD ipv6 entries
    - netplan: Don't render yaml aliases when dumping netplan
    - add PyCharm IDE .idea/ path to .gitignore [Dominic Schlegel]
    - correct grammar issue in instance metadata documentation
      [Dominic Schlegel]
    - clean: cloud-init clean should not trace when run from within cloud_dir
    - Resolve flake8 comparison and pycodestyle over-ident issues
      [Paride Legovini]
  * Update netplan dependency package (LP: #1813667)
  * Fix build-depends-on-obsolete-package for dh-systemd
  * Change Priority from extra to optional
  * Override lintian warnings about WantedBy=cloud-init.target
  * Change Maintainer to Ubuntu Developers
  * d/postinst: remove now-incorrect apt pipelining configuration

 -- Daniel Watkins <email address hidden> Mon, 11 Mar 2019 17:07:54 -0400

Changed in cloud-init (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers